com.holonplatform.core.property

## Interface ListPathProperty.ListPathPropertyBuilder<T>

- Type Parameters:
    `T` - Collection elements type
  All Superinterfaces:
    CloneableProperty<List<T>,PathProperty<List<T>>,PathProperty.Builder<List<T>,PathProperty<List<T>>,?>>, CloneableProperty.CloneablePathProperty<List<T>,PathProperty<List<T>>>, CollectionExpression<T,List<T>>, CollectionPathProperty<T,List<T>>, CollectionPathProperty.Builder<T,List<T>,ListPathProperty<T>,ListPathProperty.ListPathPropertyBuilder<T>>, CollectionProperty<T,List<T>>, CollectionProperty.Builder<T,List<T>,ListPathProperty<T>,ListPathProperty.ListPathPropertyBuilder<T>>, CollectionProperty.ListProperty<T>, ConverterExpression<List<T>>, DataMappable, DataMappable.Builder<ListPathProperty.ListPathPropertyBuilder<T>>, Expression, HasConfiguration<PropertyConfiguration>, ListPathProperty<T>, Localizable, Localizable.Builder<ListPathProperty.ListPathPropertyBuilder<T>>, Path<List<T>>, Path.Builder<List<T>,ListPathProperty.ListPathPropertyBuilder<T>>, PathExpression<List<T>>, PathProperty<List<T>>, PathProperty.Builder<List<T>,ListPathProperty<T>,ListPathProperty.ListPathPropertyBuilder<T>>, Property<List<T>>, Property.Builder<List<T>,ListPathProperty<T>,ListPathProperty.ListPathPropertyBuilder<T>>, QueryExpression<List<T>>, QueryProjection<List<T>>, Serializable, TypedExpression<List<T>>, Validator.Validatable<List<T>>
  Enclosing interface:
    ListPathProperty<T>

      public static interface ListPathProperty.ListPathPropertyBuilder<T>
      extends CollectionPathProperty.Builder<T,List<T>,ListPathProperty<T>,ListPathProperty.ListPathPropertyBuilder<T>>, ListPathProperty<T>

  `ListPathProperty` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.ListPathProperty

      `ListPathProperty.ListPathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CollectionPathProperty

      `CollectionPathProperty.Builder<E,C extends Collection<E>,P extends CollectionPathProperty<E,C>,B extends CollectionPathProperty.Builder<E,C,P,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CloneableProperty

      `CloneableProperty.CloneablePathProperty<T,P extends Property<T> & Path<T>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.FinalPath<T>, Path.PathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CollectionProperty

      `CollectionProperty.ListProperty<T>, CollectionProperty.SetProperty<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.property.CollectionProperty.Builder

      `elementConverter, elementConverter`

    - ### Methods inherited from interface com.holonplatform.core.Path.Builder

      `parent`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable.Builder

      `dataPath`

    - ### Methods inherited from interface com.holonplatform.core.property.Property.Builder

      `configuration, configuration, converter, converter, equalsHandler, hashCodeProvider, localization, temporalType, validator, withConfiguration, withConfiguration, withValidator`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable.Builder

      `message, message, messageArguments, messageCode`

    - ### Methods inherited from interface com.holonplatform.core.property.ListPathProperty

      `clone, create, propertyBox`

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `create, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConvertedValue, getConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `asc, desc, from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.CollectionExpression

      `getElementType`

    - ### Methods inherited from interface com.holonplatform.core.property.CollectionProperty

      `getElementType`

Copyright © 2019 The Holon Platform. All rights reserved.